function [obj] = construct_obj(size_Hyp, num_items, Neigh_index, pVals)

load params slack_penalty ngbr_penalty

obj = zeros(1,size_Hyp + num_items + size(Neigh_index,1));

%Scale the pValues so that the min is 0.1, and the max is 1.
pVals = pVals - min(pVals);
pVals = 0.9 * pVals / max(pVals);

obj(1:size_Hyp) = pVals + 0.1;

obj((size_Hyp + 1):(size_Hyp + num_items)) = slack_penalty;

obj((size_Hyp + num_items):end) = ngbr_penalty;

%disp(sprintf('There are %d non-discounted neighbor constraints.', cnt));
